:
# NAME:
#	getlog.sh - determin log file 
#
# SYNOPSIS:
#	getlog.sh "facility" "conf"
#
# DESCRIPTION:
#	getLog reads "conf" (/etc/syslog.conf by default) and
#	determines which log file will be used for "facility".  It
#	prefers level 'debug' to 'info' to 'notice'.
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>
#

# RCSid:
#	$Id: getlog.sh,v 1.8 2001/08/30 08:07:30 sjg Exp $
#
#	@(#) Copyright (c) 1996 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net

[ -x /usr/bin/nawk ] && NAWK=${NAWK:-nawk}

getLog() {
	fac=$1
	conf=${2:-/etc/syslog.conf}
        doit=
        dbg=${3:+""}
        doit=${3:+#}
        dbg=${dbg:-#}
        
	${NAWK:-awk} '/^#/ { next }
		/\/dev\// { next }'"
		/(\*|$fac)[^\.]*\.notice.*\//"' { F["notice"] = $NF }'"
		/(\*|$fac)[^\.]*\.info.*\//"' { F["info"] = $NF }'"
		/(\*|$fac)[^\.]*\.(\*|debug).*\//"' { F["debug"] = $NF }
		END {'"
			v = \"debug\"; if (v in F) {
			        $dbg printf \"$fac.%s=\", v 
			        print F[v]; $doit exit
			}
			v = \"info\"; if (v in F) {
			        $dbg printf \"$fac.%s=\", v 
			        print F[v]; $doit exit
			}
			v = \"notice\"; if (v in F) {
			        $dbg printf \"$fac.%s=\", v 
			        print F[v]; $doit exit
			}
}" $conf | sed 's,^-,,'
}

case $0 in
*getlog*) getLog "$@";;
esac
